import 'package:google_ml_kit_example/DetectorViews/digital_ink_recogniser_view.dart';
import 'package:google_ml_kit_example/DetectorViews/text_detector_view.dart';

import 'DetectorViews/detector_views.dart';

import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Home(),
    );
  }
}

class Home extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Example App'),
        centerTitle: true,
        elevation: 0,
      ),
      body: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          CustomCard('Image Label Detector', ImageLabelView()),
          CustomCard('Barcode Scanner', BarcodeScannerView()),
          CustomCard('Pose Detector view', PoseDetectorView()),
          CustomCard('Digital Ink Recogniser', DigitalInkView()),
          CustomCard('Text Detector', TextDetectorView()),
        ],
      ),
    );
  }
}

class CustomCard extends StatelessWidget {
  final String _label;
  final Widget _viewPage;

  const CustomCard(this._label, this._viewPage);
  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: 5,
      margin: EdgeInsets.only(bottom: 10),
      child: ListTile(
        title: Text(_label),
        onTap: () {
          Navigator.push(
              context, MaterialPageRoute(builder: (context) => _viewPage));
        },
      ),
    );
  }
}
